Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038992
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Advance Warehouse Operationsminoralways2018-07-19 12:502018-10-22 17:15
ReporterdmiguelezView Statuspublic 
Assigned Toguilleaer 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision4c6f77794a1c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Tojorge-garcia
Regression introduced in release
Summary

0038992: Validate that Bin From and Bin To are not the same if it is not allowed

DescriptionValidate that Bin From and Bin To are not the same if it is not allowed

Validate it before inserting the movement line, in which case this is validated by a trigger.

Do so for the Backend and the FrontEnd
Steps To ReproduceWith AWO and AWO SampleData installed

Log in as AWO QA Admin

Go to Warehouse Operations Window and select any Stock (For example, one for Ale Beer Product)
Ensure that there are no Tasks in the Task Tab in not confirmed status.

Click on Put-Away button

Move to the Task Tab and set the Confirmed Bin To the same as the Confirmed Bin From.
Try to confirm the Task, it fails because both Bins can not be the same.
Assign the Task to Openbravo

Log in the Front End with Openbravo
The same Task should be there.
Try to confirm it with the same Bin To as the Bin From.
A Pop Up is shown and the Task is sent to the Errors While Processing Tasks Window.

This is wrong, this validation should be done before.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0039391 closedvmromanos Movements within the same bin for a product without attribute should not be allowed 

-  Notes
(0107119)
hgbot (developer)
2018-10-02 17:11

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 22134ae864ece80242a886a3e7d3e46100f7972f
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Oct 02 17:10:16 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/22134ae864ece80242a886a3e7d3e46100f7972f [^]

Fixed issue 38992: Validate that bin From and bin TO are not equals in some Move actions

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/components/ob-locator-selector.js
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/models/task.js
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/utils/obawo-constants.js
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/utils/obawo-utils.js
---
(0107121)
hgbot (developer)
2018-10-02 17:12

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 4c6f77794a1c9053eb80d690ea99373b5ab477cf
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Oct 02 17:10:16 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/4c6f77794a1c9053eb80d690ea99373b5ab477cf [^]

Fixed issue 38992: Validate that bin From and bin TO are not equals in some Move actions

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/components/ob-locator-selector.js
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/models/task.js
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/utils/obawo-constants.js
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/utils/obawo-utils.js
---
(0107122)
guilleaer (developer)
2018-10-02 17:29

Test cases:

Create a PA task for cucumber (2 units) in food002
Load task in FE
Set bin TO with food002

An error should be shown "In this scenario bin to cannot be equal to bin from"


Create a PA task for mackerel (2 units) un food001
Load task in fe
Set bin TO to food001
error is shown "In this scenario bin to cannot be equal to bin from"
Change the value of the attribute temperature from -50 to -40
Set bin TO with food001
Now it is OK
(0107123)
hgbot (developer)
2018-10-02 17:41

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 0fe361f7ba28bc3d0689e0f95d3c895829f0e684
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Oct 02 17:41:24 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/0fe361f7ba28bc3d0689e0f95d3c895829f0e684 [^]

Related to issue 38992: Execute callbak ALWAYS when locator is selected

---
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/components/ob-locator-selector.js
---
(0107124)
hgbot (developer)
2018-10-02 17:42

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 50dfb0aab4f09537e34f645884eee33bf03fda90
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Oct 02 17:41:24 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/50dfb0aab4f09537e34f645884eee33bf03fda90 [^]

Related to issue 38992: Execute callbak ALWAYS when locator is selected

---
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/components/ob-locator-selector.js
---
(0107492)
hgbot (developer)
2018-10-22 15:54

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: c7026e38f1b2cb6ec05f8c07e6a8c671e7b96f16
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Oct 22 15:54:20 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/c7026e38f1b2cb6ec05f8c07e6a8c671e7b96f16 [^]

Related to issue 38992: Code now manages correctly a corner case (attributes are {})

---
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/components/ob-locator-selector.js
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/models/task.js
---
(0107496)
hgbot (developer)
2018-10-22 16:00

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 86dd9ea77df4f6f01b45fe643c57aab4475e78a1
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Oct 22 15:54:20 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/86dd9ea77df4f6f01b45fe643c57aab4475e78a1 [^]

Related to issue 38992: Code now manages correctly a corner case (attributes are {})

---
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/components/ob-locator-selector.js
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/models/task.js
---
(0107499)
jorge-garcia (developer)
2018-10-22 17:15

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2018-07-19 12:50 dmiguelez New Issue
2018-07-19 12:50 dmiguelez Assigned To => dmiguelez
2018-07-25 09:35 VictorVillar Regression date => 2018-08-31
2018-09-20 09:36 dmiguelez Assigned To dmiguelez => guilleaer
2018-09-20 10:07 guilleaer Regression date 2018-08-31 =>
2018-10-02 09:23 ngarcia Issue Monitored: ngarcia
2018-10-02 09:24 ngarcia Resolution time => 1539036000
2018-10-02 14:21 vmromanos Relationship added depends on 0039391
2018-10-02 17:11 hgbot Checkin
2018-10-02 17:11 hgbot Note Added: 0107119
2018-10-02 17:11 hgbot Status new => resolved
2018-10-02 17:11 hgbot Resolution open => fixed
2018-10-02 17:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/22134ae864ece80242a886a3e7d3e46100f7972f [^]
2018-10-02 17:12 hgbot Checkin
2018-10-02 17:12 hgbot Note Added: 0107121
2018-10-02 17:12 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/22134ae864ece80242a886a3e7d3e46100f7972f [^] => http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/4c6f77794a1c9053eb80d690ea99373b5ab477cf [^]
2018-10-02 17:29 guilleaer Note Added: 0107122
2018-10-02 17:41 hgbot Checkin
2018-10-02 17:41 hgbot Note Added: 0107123
2018-10-02 17:42 hgbot Checkin
2018-10-02 17:42 hgbot Note Added: 0107124
2018-10-22 15:54 hgbot Checkin
2018-10-22 15:54 hgbot Note Added: 0107492
2018-10-22 16:00 hgbot Checkin
2018-10-22 16:00 hgbot Note Added: 0107496
2018-10-22 17:15 jorge-garcia Review Assigned To => jorge-garcia
2018-10-22 17:15 jorge-garcia Note Added: 0107499
2018-10-22 17:15 jorge-garcia Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker